org.apache.storm.hbase.trident.state

## Class HBaseState.Options

- java.lang.Object
- - org.apache.storm.hbase.trident.state.HBaseState.Options

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    HBaseState

      public static class HBaseState.Options
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Options()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HBaseState.Options` | `withConfigKey(String configKey)`
    `HBaseState.Options` | `withDurability(org.apache.hadoop.hbase.client.Durability durability)`
    `HBaseState.Options` | `withMapper(TridentHBaseMapper mapper)`
    `HBaseState.Options` | `withProjectionCriteria(HBaseProjectionCriteria projectionCriteria)`
    `HBaseState.Options` | `withRowToStormValueMapper(HBaseValueMapper rowToStormValueMapper)`
    `HBaseState.Options` | `withTableName(String tableName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Options

          public Options()

  - ### Method Detail

    - #### withDurability

          public HBaseState.Options withDurability(org.apache.hadoop.hbase.client.Durability durability)

    - #### withProjectionCriteria

          public HBaseState.Options withProjectionCriteria(HBaseProjectionCriteria projectionCriteria)

    - #### withConfigKey

          public HBaseState.Options withConfigKey(String configKey)

    - #### withTableName

          public HBaseState.Options withTableName(String tableName)

    - #### withRowToStormValueMapper

          public HBaseState.Options withRowToStormValueMapper(HBaseValueMapper rowToStormValueMapper)

    - #### withMapper

          public HBaseState.Options withMapper(TridentHBaseMapper mapper)

Copyright © 2019 The Apache Software Foundation. All rights reserved.